Infracard

Merchants

Merchant account operations

Get merchant balance

Returns the current available merchant balance used to fund issuance and deposits.

GET
/merchants/balance

Authorization

x-api-key<token>

In: header

Response Body

MerchantBalanceResponse response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredobject
curl -X GET "https://example.com/merchants/balance" \
  -H "x-api-key: <token>"
fetch("https://example.com/merchants/balance", {
  headers: {
    "x-api-key": "<token>"
  }
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/merchants/balance"

  req, _ := http.NewRequest("GET", url, nil)
  req.Header.Add("x-api-key", "<token>")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/merchants/balance"

response = requests.request("GET", url, headers = {
  "x-api-key": "<token>"
})

print(response.text)
{
  "data": {
    "balance": "1000.00",
    "currency": "USD"
  }
}

List available card offerings

Lists card products and limits available to the authenticated merchant.

GET
/merchants/offerings

Authorization

x-api-key<token>

In: header

Response Body

CardOfferingResponse list response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredarray<object>
curl -X GET "https://example.com/merchants/offerings" \
  -H "x-api-key: <token>"
fetch("https://example.com/merchants/offerings", {
  headers: {
    "x-api-key": "<token>"
  }
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/merchants/offerings"

  req, _ := http.NewRequest("GET", url, nil)
  req.Header.Add("x-api-key", "<token>")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/merchants/offerings"

response = requests.request("GET", url, headers = {
  "x-api-key": "<token>"
})

print(response.text)
{
  "data": [
    {
      "id": "off_01J2Y7Q8R9S0T1U2V3W4X5Y6Z7",
      "name": "Virtual USD Card",
      "network": "VISA",
      "type": "VIRTUAL",
      "currency": "USD",
      "minLoadAmount": "10.00",
      "maxLoadAmount": "10000.00",
      "issuanceFee": "1.00",
      "depositFeePercent": "0.50",
      "requiresHolder": false
    }
  ]
}